<div *ngIf="movie;else empy_content">

  <mat-card class="example-card" 
          [@cardAnimator]="animationState" 
          (@cardAnimator.done)="resetAnimationState()"
          (swiperight)="startAnimation('slideOutRight'); reject(movie);">

  <div class="my_title">{{movie.title + ' (' + movie.rating + ' / 10)' }}</div>
 
    <mat-card-content>
        <img mat-card-image [src]="movie.imageURL">
        
      <p>
          {{movie.summary}}
      </p>
    </mat-card-content>

    <mat-card-actions>
      <div class="bt_box">
        <button mat-raised-button class="bt_accept" (tap)="startAnimation('slideOutLeft'); accept(movie);">
          <mat-icon>done</mat-icon>
          Accept
        </button>
        <button mat-raised-button class="bt_reject" (tap)="startAnimation('slideOutRight'); reject(movie);">
          Reject
          <mat-icon>clear</mat-icon>
        </button>
      </div>
    </mat-card-actions>
  </mat-card>

</div>

<ng-template #empy_content>
  <h3 class="empy_content">You've already covered all the movies :(</h3>
</ng-template>
